---
title: Read Properties
slug: read-properties
createdAt: 2025-10-13T06:05:51.357Z
---

:::ApiMethodV2
```json
{
  "name": "Read Properties",
  "method": "POST",
  "url": "https://wsb.bakuun.com/ratedockAPI/MPBKX/readproperties",
  "description": "Retrieve the status of all properties mapped under a partner account in Bakuun.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "-a6ev31csLIzcdTYZHisl",
        "language": "json",
        "code": "{\n  \"username\": \"testusername\",\n  \"password\": \"testpassword\",\n  \"partnerId\": \"MPBXXX\",\n  \"action\": \"readProperties\"\n}",
        "customLabel": ""
      },
      {
        "id": "j6AZIvcGJNpKoe0LXyjd2",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/ratedockAPI/RDKX/readproperties' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"username\": \"String\",\n  \"password\": \"String\",\n  \"partnerId\": \"String\",\n  \"action\": \"String\"\n}'",
        "customLabel": ""
      },
      {
        "id": "HSFPdpizdCldYxSv26mY-",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/ratedockAPI/RDKX/readproperties',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"username\": \"String\",\n      \"password\": \"String\",\n      \"partnerId\": \"String\",\n      \"action\": \"String\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "cHZwN4_s5VAHb3cQwtyY2",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/ratedockAPI/RDKX/readproperties\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "CjUDQvCfaq70Ij0kcselX",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/ratedockAPI/RDKX/readproperties\"\n\npayload = json.dumps({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "yc-OcqD_WfhU28rtSDZH2",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/ratedockAPI/RDKX/readproperties\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-a6ev31csLIzcdTYZHisl"
  },
  "results": {
    "languages": [
      {
        "id": "BVUJfRIDCM7lLpYvvpE0n",
        "language": "200",
        "code": "{\n  \"status\": true,\n  \"propertyData\": [\n    {\n      \"propertyCode\": \"HTLXX.X\",\n      \"propertyName\": \"Property Test\",\n      \"mappingStatus\": \"Completed\"\n    },\n    {\n      \"propertyCode\": \"HTLXX.X\",\n      \"propertyName\": \"Property Test 1\",\n      \"mappingStatus\": \"To start\"\n    },\n    {\n      \"propertyCode\": \"HTLXX.X\",\n      \"propertyName\": \"Property Test 2\",\n      \"mappingStatus\": \"Disconnected\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "4tRsQTZIivrTDf0gTBjxr",
        "language": "401",
        "code": "{\n  \"success\": false,\n  \"errors\": [\n    {\n      \"code\": 410,\n      \"message\": \"Unauthorised user\"\n    }\n  ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BVUJfRIDCM7lLpYvvpE0n"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "username",
        "kind": "required",
        "type": "string",
        "description": "System-generated, human-readable API access key (unique per account).",
        "": "System-generated, human-readable API access key (unique per account)."
      },
      {
        "name": "password",
        "kind": "required",
        "type": "string",
        "description": "System-generated, human-readable API access key (unique per account).",
        "": "System-generated, human-readable API access key (unique per account)."
      },
      {
        "name": "partnerId",
        "kind": "required",
        "type": "string",
        "description": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX).",
        "": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX)."
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Defines the requested operation. Must be set to readProperties.",
        "": "Defines the requested operation. Must be set to readProperties."
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "status",
      "kind": "optional",
      "type": "boolean",
      "description": ""
    },
    {
      "name": "propertyData",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "propertyCode",
          "kind": "optional",
          "type": "string",
          "description": "Unique Bakuun property identifier (e.g. HTLXX.3)"
        },
        {
          "name": "propertyName",
          "kind": "optional",
          "type": "string",
          "description": "Display name of the property."
        },
        {
          "name": "mappingStatus",
          "kind": "optional",
          "type": "string",
          "description": "Current mapping status of the property in Bakuun. Available status are:\n- Draft\n- To Start\n- Completed\n- Disconnected\n- Suspended"
        }
      ]
    }
  ],
  "autoGeneratedAnchorSlug": "read-properties",
  "legacyHash": "Wd211LDEEnfLn83hrCLaU"
}
```
:::

